package com.dong.demo013

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.runtime.Composable

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        enableEdgeToEdge()
        //kotlin生命周期断点处
        super.onCreate(savedInstanceState)

        setContent {
            App()
        }
    }


    //测试普通断点
     fun testCommonBreakpoint() {
         val a: Int=1;//普通断点设置处
     }

    //测试条件断点
    fun testIfBreakpoint() {
        for (i in 1..10){
            if (i==5){//条件断点设置处
                println("条件断点命中进入")
            }
        }
    }
}



